yumのインストール

| コメント(0)

使えるねっとのCentOS5.0にyumをインストール。

CentOS4.5はこちらを参考

まぁリンク切れてて参考にならないけど。。。

基本的にはここを参考

参考元で足らないrpmとかもいれてます。

レポジトリから必要なパッケージをダウンロードします。

wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/m2crypto-0.16-6.el5.1.x86_64.rpm
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/python-elementtree-1.2.6-5.x86_64.rpm
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/python-sqlite-1.1.7-1.2.1.x86_64.rpm
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/python-urlgrabber-3.1.0-2.noarch.rpm
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/yum-3.0.5-1.el5.centos.5.noarch.rpm 
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/yum-metadata-parser-1.0-8.fc6.x86_64.rpm
wget http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/CentOS/python-2.4.3-19.el5.x86_64.rpm

依存パッケージをインストールします。

rpm -ivh m2crypto-0.16-6.el5.1.x86_64.rpm
rpm -ivh python-elementtree-1.2.6-5.x86_64.rpm
rpm -ivh python-sqlite-1.1.7-1.2.1.x86_64.rpm
rpm -ivh python-urlgrabber-3.1.0-2.noarch.rpm
rpm -ivh yum-metadata-parser-1.0-8.fc6.x86_64.rpm
rpm -ivh python-2.4.3-19.el5.x86_64.rpm

yumのインストール

rpm --import http://ftp.iij.ad.jp/pub/linux/centos/5/os/x86_64/RPM-GPG-KEY-CentOS-5
rpm -ivh yum-3.0.5-1.el5.centos.5.noarch.rpm 

使えるネットではyum updateをやったら駄目らしいです。

スポンサードリンク

「サーバー」の関連記事

コメントする